LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-08-2006, 03:49 PM   #1
julian.osorio
Member
 
Registered: Apr 2006
Location: Bogota,Colombia,South America
Distribution: SuSE, Slackware
Posts: 30

Rep: Reputation: 15
Problem with Software Updater


Hi everybody

can anybody help me with this?

I need to do a software update
what i have to do now??

please tell me

Component: Software Updater
Summary: TBd92eccef ConfigParser.py:462:_read:MissingSectionHeaderError: File contains no section headers.
file: /etc/yum.conf, line: 17
'gpgcheck=0\n'

Traceback (most recent call last):
File "/usr/sbin/pup", line 382, in ?
main()
File "/usr/sbin/pup", line 377, in main
pup = PackageUpdater()
File "/usr/sbin/pup", line 77, in __init__
GraphicalYumBase.__init__(self, False)
File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 122, in __init__
self.doConfigSetup()
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 102, in doConfigSetup
self.conf = config.readMainConfig(fn, root)
File "/usr/lib/python2.4/site-packages/yum/config.py", line 567, in readMainConfig
confparser.read(configfile)
File "/usr/lib/python2.4/site-packages/yum/parser.py", line 126, in read
ConfigParser.read(self,filename)
File "/usr/lib64/python2.4/ConfigParser.py", line 267, in read
self._read(fp, filename)
File "/usr/lib64/python2.4/ConfigParser.py", line 462, in _read
raise MissingSectionHeaderError(fpname, lineno, line)
MissingSectionHeaderError: File contains no section headers.
file: /etc/yum.conf, line: 17
'gpgcheck=0\n'

Local variables in innermost frame:
cursect: None
fp: <open file '/etc/yum.conf', mode 'r' at 0x2ab0edc20af8>
e: None
fpname: /etc/yum.conf
mo: None
optname: None
lineno: 17
line: gpgcheck=0

self: <yum.parser.IncludingConfigParser instance at 0x2ab0edc16c20>
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
zen software updater help little_penguin SUSE / openSUSE 1 08-06-2006 05:43 PM
Software updater in 10.1 leupi SUSE / openSUSE 1 07-13-2006 09:33 PM
Software updater in SUSE 10.1 error riba43 SUSE / openSUSE 10 05-23-2006 04:56 PM
Software updater keeps crashing Micro420 SUSE / openSUSE 4 05-20-2006 07:45 PM
unable to update or use software updater nitin403 Mandriva 1 05-22-2005 04:06 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration